Subject: Vt100 support

From: [email-masked] (4321 tnuoccA cireneG)
Date: Thu, 6 Aug 1992 22:26:22 -0700

yduJ said:
>I don't know if it's been advertised here yet, but waffle on LambdaMOO
>has built some MOO code support for color coding messages for those
>without good client support.  I think you have to be using some PC
>running DOS or something, and you change your character map locally so
>that tilde (gets turned into escape (which MOO won't print), and you
>get pages in red, whispers in yellow, etc.  I don't know the details
>(not being a PC user and preferring emacs-based interfaces) but I think
>waffle has written doc.  Is waffle on this list?  Care to advertise?

Someone not yduJ said:
>Common interface: writing to the common interface may not be as
>silly as it seems. Practically every terminal maker, computer system
>maker provides vt100/220 emulation. In the 80s many of us wasted
>our life away playing rogue. Didn't you just hate 'R' at about
>level 8? There are a lot of things that could be played with
>just using the escape sequences.

The color object (#9922 on LambdaMOO, feel free to port elsewhere) hooks on
to the player's :tell verb, and intercepts incoming messages, checking
callers(). If any of the callers matches an object:verb, object, or 
:verb string set by the user, an appropriate ANSI/VT100 color code is sent.
Thus, as yduJ said, pages may be in red, login watcher messages in green,
everything else in white. As noted, MOO wont send ASCII 27, to instead
I have it send a tilde - the user needs an input translation table to
change the tilde to an ESC (ASCII 27). Voila, anyone with ANSI and a
translation table (IBM and MAC people - as long as you have a good term
program) can get color.

Although I dont know the codes, you can do other things with ANSI/VT100,
including setting terminal characteristics, programming function keys,
and playing music.

-waffle
Kevin Savetz
[email-masked]